LINUX.ORG.RU
ФорумTalks

[Oldfag Linux][Fallen Linux] Дистрибутив GNU/Linux с использованием старого софта.


0

1

Недавно появилась идея собрать дистрибутив GNU/Linux из старого софта - 2.2.x kernel, GNOME 1.0, GNUStep, KDE 2.0, etc... Собрать можно с использованием старой LFS. Да, конечно, даунгрейдерам и олдфагам можно просто использовать старый дистрибутив, но у этих дистрибутивов уже давно закончилась поддержка и нет репозитариев ПО.
Хотелось бы узнать ваше отношение к этой идее...


пытался на прошлой неделе запустить Mandrake 8 (диск нашел у себя на полке).
SATA не видит, CDROM (PATA) - не находит; т.ч. готовь соотв. железяки.

dib2 ★★★★★ ()
Ответ на: комментарий от dib2

А то. Он нужен только даунгрейдерам, хотя можно попытаться реализовать поддержку современного железа...

phpbb ()

внезапно у твоего дистрибутива тоже поддержка будет чисто символическая. или ты будешь править древнючие баги кде2 или ядра 2.2? бекпортить фичи? сомневаюсь. нельзя сделать живой дистр из мертвого софта.

Komintern ★★★★★ ()

И для этого Торвальдс старался и фиксил 12309 на протяжении двух десятков лет?

bk_ ★★ ()

Достаточно будет наверное собрать ядро с соответствующими параметрами, и вместо KDE/GNOME - *box, iceWM и т. д. И софт современный получится, и на старом железе будет работать

alix ★★★★ ()
Ответ на: комментарий от alix

WM не нужны. Скажем, я покупал старое железо, чтобы поставить старый софт (Поставлю RedHat 5.2), не для того чтобы на нем работать, а для того чтобы поолдфажить.

phpbb ()

Насколько старого софта?

KDE3 и GNOME2 достаточно старые?

anonymousss ★★ ()

> дистрибутив GNU/Linux из старого софта - 2.2.x kernel, GNOME 1.0, GNUStep, KDE 2.0, etc...

Будет еще круче, если ты всё это поднимешь на _новом_ ядре.

geekless ★★ ()
Ответ на: комментарий от dib2

Не - ну если он на самом деле понекрофилить захотел, а не попользоваться старым софтом, то ему и FreeBSD хватит.

Quasar ★★★★★ ()

>Да, конечно, даунгрейдерам и олдфагам можно просто использовать старый дистрибутив, но у этих дистрибутивов уже давно закончилась поддержка и нет репозитариев ПО.

Сомневаюсь, что в одиночку ты соберёшь больше программ, чем на CD1 и CD2 с дебианом.

gentoo_root ★★★★★ ()

phpbb

но у этих дистрибутивов уже давно закончилась поддержка и нет репозитариев ПО

У этого софта тоже давно закончилась поддержка и нет репозиториев с ним.

vurdalak ★★★★★ ()

>Хотелось бы узнать ваше отношение к этой идее...

Наше отношение к этой идее следующее: у тебя что-то слишком много свободного времени, которое ты пытаешься тратить на беспреспективную ерунду. :)

Zubok ★★★★★ ()

В арчевском AUR до сих пор есть kdebase2.

AX ★★★★★ ()

>2.2.x kernel

и на старом железе

thunar ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.